Bug 1350632 - ns-slapd shutdown crashes if pwdstorageschema name is from stack.
Summary: ns-slapd shutdown crashes if pwdstorageschema name is from stack.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: wibrown@redhat.com
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-28 01:03 UTC by Noriko Hosoi
Modified: 2016-11-03 20:43 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.5.9-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:43:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2016-06-28 01:03:15 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48902

Due to 48872 we now actually free and close plugins correctly.

However, this has exposed a number of issues in other plugins not behaving correctly. In the TET tests the xorplugin assign a name to SLAPI_PLUGIN_PWD_STORAGE_SCHEME_NAME from the stack rather than the heap. When plugin_closeall is called, this causes a segfault as slapi_ch_free_string(&plugin->plg_pwdstorageschemename); is trying to free something that it cannot.

The fix is that we should be strduping the name, and then freeing that in the plugin_free. This way plugins can allocate from heap or stack and we do not cause these faults.

Comment 3 Sankar Ramalingam 2016-07-14 07:22:34 UTC
Steps to reproduce:
1. Run Tier2 dsCoreLong tests from beaker
2. Observe crash report in the list
3. Beaker job - https://beaker.engineering.redhat.com/jobs/1379188

Comment 4 Sankar Ramalingam 2016-07-14 07:25:27 UTC
Ran dsCoreLong tier2 tests from beaker with the latest build of 389-ds-base and found no crash. Hence, marking the bug as Verified.

Bkr job - https://beaker.engineering.redhat.com/jobs/1399654
TET report - http://wiki-old.idm.lab.bos.redhat.com/qa/archive/beaker/RHDS/RHEL73/389-ds-base-1.3.5.10-3.el7.x86_64/Tier2/Linux/20160712-131935-dsCoreLong.html

build tested:
389-ds-base-1.3.5.10-3

Comment 6 errata-xmlrpc 2016-11-03 20:43:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.